### Enumeration

# Clutter GestureTriggerEdge

#### Declaration

    enum Clutter.GestureTriggerEdge

#### Description [src]

Enum passed to the `clutter_gesture_action_set_threshold_trigger_edge()` function.

#### Members

`CLUTTER_GESTURE_TRIGGER_EDGE_NONE`

  Tell `ClutterGestureAction` that the gesture must begin immediately and there’s no drag limit that will cause its cancellation;.

  - Value: `0`
  - Available since: 14
`CLUTTER_GESTURE_TRIGGER_EDGE_AFTER`

  Tell `ClutterGestureAction` that it needs to wait until the drag threshold has been exceeded before considering that the gesture has begun;.

  - Value: `1`
  - Available since: 14
`CLUTTER_GESTURE_TRIGGER_EDGE_BEFORE`

  Tell `ClutterGestureAction` that the gesture must begin immediately and that it must be cancelled once the drag exceed the configured threshold.

  - Value: `2`
  - Available since: 14